Skip to content

Instantly share code, notes, and snippets.

@pitrou
Created May 26, 2021
Embed
What would you like to do?
--- appveyor-before.txt 2021-05-26 19:53:45.899260684 +0200
+++ appveyor-after.txt 2021-05-26 19:53:48.035307820 +0200
@@ -1,21 +1,6 @@
Build started
git clone -q --branch=master https://github.com/apache/arrow.git C:\projects\arrow
-git checkout -qf d07f30ada67780251e3f053aaf4dd32eb6450cec
-Restoring build cache
-
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...1%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...10%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...20%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...30%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...40%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...50%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...60%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...70%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...80%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...90%
-Cache 'C:\Users\Appveyor\clcache1' - Downloading (432,015,306 bytes)...100%
-Cache 'C:\Users\Appveyor\clcache1' - Unzipping...
-Cache 'C:\Users\Appveyor\clcache1' - Restored
+git checkout -qf c697a41ab9c11511113e7387fe4710df920c36ed
call ci\appveyor-cpp-setup.bat
C:\projects\arrow>set "PATH=C:\Miniconda37-x64;C:\Miniconda37-x64\Scripts;C:\Miniconda37-x64\Library\bin;C:\Program Files\Docker\Docker\Resources\bin;C:\Program Files (x86)\Microsoft SDKs\Azure\CLI2\wbin;C:\Perl\site\bin;C:\Perl\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\7-Zip;C:\Tools\GitVersion;C:\Tools\NuGet;C:\Program Files\Microsoft\Web Platform Installer\;C:\Tools\PsTools;C:\Program Files\Git LFS;C:\Program Files\Mercurial\;C:\Program Files (x86)\Subversion\bin;C:\Tools\WebDriver;C:\Tools\Coverity\bin;C:\Tools\MSpec;C:\Tools\NUnit\bin;C:\Tools\NUnit3;C:\Tools\xUnit;C:\Program Files\nodejs;C:\Program Files (x86)\iojs;C:\Program Files\iojs;C:\Program Files\Microsoft SQL Server\120\Tools\Binn\;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL Server\120\Tools\Binn\;C:\Program Files\Microsoft SQL Server\120\DTS\Binn\;C:\Program Files (x86)\Microsoft SQL Server\120\Tools\Binn\ManagementStudio\;C:\Program Files (x86)\Microsoft SQL Server\120\DTS\Binn\;C:\Program Files (x86)\Microsoft SQL Server\130\Tools\Binn\;C:\Program Files\Microsoft SQL Server\130\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL Server\130\DTS\Binn\;C:\Program Files\Microsoft SQL Server\130\DTS\Binn\;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\130\Tools\Binn\;C:\Ruby193\bin;C:\go\bin;C:\Program Files\Java\jdk1.8.0\bin;C:\Program Files (x86)\Apache\Maven\bin;C:\Python27;C:\Python27\Scripts;C:\Program Files (x86)\CMake\bin;C:\Tools\curl\bin;C:\Program Files\Microsoft DNX\Dnvm\;C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin;C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\Common7\IDE\Extensions\Microsoft\SQLDB\DAC\130;C:\Program Files\dotnet\;C:\Tools\vcpkg;C:\Program Files (x86)\dotnet\;C:\Program Files (x86)\Microsoft SQL Server\140\Tools\Binn\;C:\Program Files\Microsoft SQL Server\140\Tools\Binn\;C:\Program Files\Microsoft SQL Server\140\DTS\Binn\;C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\Common7\IDE\Extensions\TestPlatform;C:\Program Files (x86)\Microsoft SQL Server\110\DTS\Binn\;C:\Program Files (x86)\Microsoft SQL Server\140\DTS\Binn\;C:\Program Files\erl9.2\bin;C:\Program Files (x86)\NSIS;C:\Tools\Octopus;C:\Program Files\Microsoft Service Fabric\bin\Fabric\Fabric.Code;C:\Program Files\Microsoft SDKs\Service Fabric\Tools\ServiceFabricLocalClusterManager;C:\Program Files\Docker\Docker\resources;C:\Program Files\LLVM\bin;C:\Users\appveyor\AppData\Roaming\npm;C:\Program Files (x86)\Windows Kits\10\Windows Performance Toolkit\;C:\Program Files\PowerShell\6\;C:\Program Files (x86)\nodejs\;C:\Program Files\Git\cmd;C:\Program Files\Git\usr\bin;C:\Program Files\Meson\;C:\ProgramData\chocolatey\bin;C:\Program Files\Amazon\AWSCLI\;C:\Program Files (x86)\Yarn\bin\;C:\Users\appveyor\AppData\Local\Microsoft\WindowsApps;C:\Users\appveyor\.dotnet\tools;C:\Users\appveyor\AppData\Roaming\npm;C:\Users\appveyor\AppData\Local\Yarn\bin;C:\Program Files\AppVeyor\BuildAgent\"
@@ -214,7 +199,7 @@
gmock-1.10.0 | h2d74725_7 9.0 MB conda-forge
grpc-cpp-1.37.1 | h586195c_2 16.4 MB conda-forge
gtest-1.10.0 | h2d74725_7 5.6 MB conda-forge
- hypothesis-6.13.0 | pyhd8ed1ab_0 239 KB conda-forge
+ hypothesis-6.13.1 | pyhd8ed1ab_0 238 KB conda-forge
idna-3.1 | pyhd3deb0d_0 52 KB conda-forge
importlib-metadata-4.0.1 | py37h03978a9_0 30 KB conda-forge
importlib_metadata-4.0.1 | hd8ed1ab_0 4 KB conda-forge
@@ -349,7 +334,7 @@
gmock conda-forge/win-64::gmock-1.10.0-h2d74725_7
grpc-cpp conda-forge/win-64::grpc-cpp-1.37.1-h586195c_2
gtest conda-forge/win-64::gtest-1.10.0-h2d74725_7
- hypothesis conda-forge/noarch::hypothesis-6.13.0-pyhd8ed1ab_0
+ hypothesis conda-forge/noarch::hypothesis-6.13.1-pyhd8ed1ab_0
idna conda-forge/noarch::idna-3.1-pyhd3deb0d_0
importlib-metadata conda-forge/win-64::importlib-metadata-4.0.1-py37h03978a9_0
importlib_metadata conda-forge/noarch::importlib_metadata-4.0.1-hd8ed1ab_0
@@ -451,26 +436,106 @@
** Copyright (c) 2017 Microsoft Corporation
**********************************************************************
[vcvarsall.bat] Environment initialized for: 'x64'
-Cache cleaned
-clcache statistics:
- current cache dir : Disk cache at C:\Users\Appveyor\clcache1
- cache size : 498,076,743 bytes
- maximum cache size : 500,000,000 bytes
- cache entries : 510
- cache hits : 15483
- cache misses
- total : 11284
- evicted : 0
- header changed : 7460
- source changed : 3824
- passed to real compiler
- called w/ invalid argument : 0
- called for preprocessing : 0
- called for linking : 971
- called for external debug : 5330
- called w/o source : 0
- called w/ multiple sources : 0
- called w/ PCH : 0
+ ERROR: Command errored out with exit status 1:
+ command: 'C:\Miniconda37-x64\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\appveyor\\AppData\\Local\\Temp\\1\\pip-req-build-d7b7ndct\\setup.py'"'"'; __file__='"'"'C:\\Users\\appveyor\\AppData\\Local\\Temp\\1\\pip-req-build-d7b7ndct\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\appveyor\AppData\Local\Temp\1\pip-req-build-d7b7ndct\pip-egg-info'
+ cwd: C:\Users\appveyor\AppData\Local\Temp\1\pip-req-build-d7b7ndct\
+ Complete output (81 lines):
+ Traceback (most recent call last):
+ File "C:\Miniconda37-x64\lib\urllib\request.py", line 1317, in do_open
+ encode_chunked=req.has_header('Transfer-encoding'))
+ File "C:\Miniconda37-x64\lib\http\client.py", line 1244, in request
+ self._send_request(method, url, body, headers, encode_chunked)
+ File "C:\Miniconda37-x64\lib\http\client.py", line 1290, in _send_request
+ self.endheaders(body, encode_chunked=encode_chunked)
+ File "C:\Miniconda37-x64\lib\http\client.py", line 1239, in endheaders
+ self._send_output(message_body, encode_chunked=encode_chunked)
+ File "C:\Miniconda37-x64\lib\http\client.py", line 1026, in _send_output
+ self.send(msg)
+ File "C:\Miniconda37-x64\lib\http\client.py", line 966, in send
+ self.connect()
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\ssl_support.py", line 191, in connect
+ self.sock = ctx.wrap_socket(sock, server_hostname=actual_host)
+ File "C:\Miniconda37-x64\lib\ssl.py", line 423, in wrap_socket
+ session=session
+ File "C:\Miniconda37-x64\lib\ssl.py", line 870, in _create
+ self.do_handshake()
+ File "C:\Miniconda37-x64\lib\ssl.py", line 1139, in do_handshake
+ self._sslobj.do_handshake()
+ ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1076)
+
+ During handling of the above exception, another exception occurred:
+
+ Traceback (most recent call last):
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 770, in open_url
+ return open_with_auth(url, self.opener)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 965, in _socket_timeout
+ return func(*args, **kwargs)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 1084, in open_with_auth
+ fp = opener(request)
+ File "C:\Miniconda37-x64\lib\urllib\request.py", line 525, in open
+ response = self._open(req, data)
+ File "C:\Miniconda37-x64\lib\urllib\request.py", line 543, in _open
+ '_open', req)
+ File "C:\Miniconda37-x64\lib\urllib\request.py", line 503, in _call_chain
+ result = func(*args)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\ssl_support.py", line 161, in https_open
+ lambda host, **kw: VerifyingHTTPSConn(host, self.ca_bundle, **kw), req
+ File "C:\Miniconda37-x64\lib\urllib\request.py", line 1319, in do_open
+ raise URLError(err)
+ urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1076)>
+
+ During handling of the above exception, another exception occurred:
+
+ Traceback (most recent call last):
+ File "<string>", line 1, in <module>
+ File "C:\Users\appveyor\AppData\Local\Temp\1\pip-req-build-d7b7ndct\setup.py", line 35, in <module>
+ use_scm_version=True)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\__init__.py", line 144, in setup
+ _install_setup_requires(attrs)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\__init__.py", line 139, in _install_setup_requires
+ dist.fetch_build_eggs(dist.setup_requires)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\dist.py", line 720, in fetch_build_eggs
+ replace_conflicting=True,
+ File "C:\Miniconda37-x64\lib\site-packages\pkg_resources\__init__.py", line 782, in resolve
+ replace_conflicting=replace_conflicting
+ File "C:\Miniconda37-x64\lib\site-packages\pkg_resources\__init__.py", line 1065, in best_match
+ return self.obtain(req, installer)
+ File "C:\Miniconda37-x64\lib\site-packages\pkg_resources\__init__.py", line 1077, in obtain
+ return installer(requirement)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\dist.py", line 787, in fetch_build_egg
+ return cmd.easy_install(req)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\command\easy_install.py", line 667, in easy_install
+ not self.always_copy, self.local_index
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 659, in fetch_distribution
+ dist = find(requirement)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 639, in find
+ loc = self.download(dist.location, tmpdir)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 583, in download
+ found = self._download_url(scheme.group(1), spec, tmpdir)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 828, in _download_url
+ return self._attempt_download(url, filename)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 834, in _attempt_download
+ headers = self._download_to(url, filename)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 733, in _download_to
+ fp = self.open_url(url)
+ File "C:\Miniconda37-x64\lib\site-packages\setuptools\package_index.py", line 784, in open_url
+ % (url, v.reason))
+ distutils.errors.DistutilsError: Download error for https://files.pythonhosted.org/packages/c4/d5/e50358c82026f44cd8810c8165002746cd3f8b78865f6bcf5d7f0fe4f652/setuptools_scm-6.0.1-py3-none-any.whl#sha256=c3bd5f701c8def44a5c0bfe8d407bef3f80342217ef3492b951f3777bd2d915c: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1076)
+ ----------------------------------------
+ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
+'clcache' is not recognized as an internal or external command,
+operable program or batch file.
+'clcache' is not recognized as an internal or external command,
+operable program or batch file.
+'clcache' is not recognized as an internal or external command,
+operable program or batch file.
+Start-Process : This command cannot be run due to the error: The system cannot find the file specified.
+At line:1 char:1
++ Start-Process clcache-server
++ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ + CategoryInfo : InvalidOperation: (:) [Start-Process], InvalidOperationException
+ + FullyQualifiedErrorId : InvalidOperationException,Microsoft.PowerShell.Commands.StartProcessCommand
+
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment